com.verisign.epp.codec.validate.v02

## Class EPPValidatePostalDefinition

- java.lang.Object
- - com.verisign.epp.codec.validate.v02.EPPValidatePostalDefinition

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPValidatePostalDefinition
      extends java.lang.Object
      implements EPPCodecComponent

  Represents a contact postal address definition. The child elements associated with an `EPPValidatePostalDefinition` include:
  - A localization type, represented by the `EPPValidatePostalDefinition.Type` enumeration. Use `getType()` and `setType(Type)` to get and set the attribute.
  - A name that contains the name of the org. Use `getName()` and `setName(String)` to get and set the attribute.
  - An address that contains address information associated with the org. Use `getAddress()` and `setAddress(EPPValidateAddress)` to get and set the attribute.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPValidatePostalDefinition.Type` Localized type with one of the following values: `LOC` - Localized form of data that MAY be represented in unrestricted UTF-8. `INT` - Internationalized form o data that MUST be represented in a subset of UTF-8 that can be represented in the 7-bit US-ASCII character set.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPOrgDisclose`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPValidatePostalDefinition`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPValidatePostalDefinition()` `EPPValidatePostalDefinition` default constructor.
    `EPPValidatePostalDefinition(EPPValidatePostalDefinition.Type aType)` `EPPValidatePostalDefinition` constructor that takes the contact postal type as an argument.
    `EPPValidatePostalDefinition(EPPValidatePostalDefinition.Type aType, java.lang.String aName, EPPValidateAddress aAddress)` `EPPValidatePostalDefinition` constructor that sets the required attributes with the parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPValidatePostalDefinition`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPValidatePostalDefinition` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPValidatePostalDefinition` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPValidatePostalDefinition` compare.
    `EPPValidateAddress` | `getAddress()` Gets the contact address
    `java.lang.String` | `getName()` Gets the contact name
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getOrg()` Gets the contact org
    `EPPValidatePostalDefinition.Type` | `getType()` Gets the contact postal type.
    `boolean` | `hasOrg()` Is the org defined?
    `void` | `setAddress(EPPValidateAddress aAddress)` Sets the contact address
    `void` | `setName(java.lang.String aName)` Sets the contact name.
    `void` | `setOrg(java.lang.String aOrg)` Sets the contact org.
    `void` | `setType(EPPValidatePostalDefinition.Type aType)` Sets the contact type.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPOrgDisclose`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPValidatePostalDefinition`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPValidatePostalDefinition

          public EPPValidatePostalDefinition()

      `EPPValidatePostalDefinition` default constructor.

    - #### EPPValidatePostalDefinition

          public EPPValidatePostalDefinition(EPPValidatePostalDefinition.Type aType)

      `EPPValidatePostalDefinition` constructor that takes the contact postal type as an argument.
      Parameters:
        `aType` - Postal type

    - #### EPPValidatePostalDefinition

          public EPPValidatePostalDefinition(EPPValidatePostalDefinition.Type aType,
                                             java.lang.String aName,
                                             EPPValidateAddress aAddress)

      `EPPValidatePostalDefinition` constructor that sets the required attributes with the parameters.
      Parameters:
        `aName` - contact name
        `aType` - Postal type
        `aAddress` - contact address

  - ### Method Detail

    - #### getType

          public EPPValidatePostalDefinition.Type getType()

      Gets the contact postal type.
      Returns:
        Contact postal type

    - #### setType

          public void setType(EPPValidatePostalDefinition.Type aType)

      Sets the contact type.
      Parameters:
        `aType` - Contact postal type

    - #### getName

          public java.lang.String getName()

      Gets the contact name
      Returns:
        Contact Name if defined; `null` otherwise.

    - #### setName

          public void setName(java.lang.String aName)

      Sets the contact name.
      Parameters:
        `aName` - Contact Name

    - #### hasOrg

          public boolean hasOrg()

      Is the org defined?
      Returns:
        `true` if the org is defined; `false` otherwise.

    - #### getOrg

          public java.lang.String getOrg()

      Gets the contact org
      Returns:
        Contact Org if defined; `null` otherwise.

    - #### setOrg

          public void setOrg(java.lang.String aOrg)

      Sets the contact org.
      Parameters:
        `aOrg` - Contact org

    - #### getAddress

          public EPPValidateAddress getAddress()

      Gets the contact address
      Returns:
        Contact address if defined; `null` otherwise.

    - #### setAddress

          public void setAddress(EPPValidateAddress aAddress)

      Sets the contact address
      Parameters:
        `aAddress` - Contact address

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPValidatePostalDefinition` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Encoded DOM `Element`
      Throws:
        `EPPEncodeException` - On encoding error

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPValidatePostalDefinition` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPValidatePostalDefinition` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPValidatePostalDefinition` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPValidatePostalDefinition` instance to compare with
      Returns:
        `true` if the object is equal to `aObject`; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPValidatePostalDefinition`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPValidatePostalDefinition`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.